FormTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.taglib
Class FormTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.struts.faces.taglib.AbstractFacesTag
              org.apache.struts.faces.taglib.FormTag

All Implemented Interfaces:
  Tag

    public class FormTag

extends AbstractFacesTag

Render an input form that is submitted to a Struts `Action`, for the Struts-Faces Integration Library.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary
`protected String` | `action` The `path` of the Struts `Action` to which this form should be submitted.
`protected String` | `enctype` The content encoding type to use.
`protected String` | `focus` The name of the field to which focus should be set when this form is displayed.
`protected String` | `focusIndex` The subscript of the focus field array to receive focus.
`protected String` | `onreset` The JavaScript reset event handler.
`protected String` | `onsubmit` The JavaScript submit event handler.
`protected String` | `target` The window target for this submit.

Fields inherited from class org.apache.struts.faces.taglib.AbstractFacesTag
`bundle, style, styleClass, value`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`String` | `getComponentType()` Return the type of component to be created for this tag.
`String` | `getRendererType()` Return the `rendererType` to be used for rendering our component.
`void` | `release()` Release any allocated resources.
`void` | `setAction(String action)`
`void` | `setEnctype(String enctype)`
`void` | `setFocus(String focus)`
`void` | `setFocusIndex(String focusIndex)`
`void` | `setOnreset(String onreset)`
`void` | `setOnsubmit(String onsubmit)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)` Override attributes set on this tag instance.
`void` | `setTarget(String target)`

Methods inherited from class org.apache.struts.faces.taglib.AbstractFacesTag
`setBooleanAttribute, setBundle, setIntegerAttribute, setStringAttribute, setStyle, setStyleClass, setValue`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getPathToComponent, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected String action

  The `path` of the Struts `Action` to which this form should be submitted. This property is analogous to the `formName` property on the form tag in the standard HTML RenderKit.

### enctype

    protected String enctype

  The content encoding type to use.

### focus

    protected String focus

  The name of the field to which focus should be set when this form is displayed.

### focusIndex

    protected String focusIndex

  The subscript of the focus field array to receive focus.

### onreset

    protected String onreset

  The JavaScript reset event handler.

### onsubmit

    protected String onsubmit

  The JavaScript submit event handler.

### target

    protected String target

  The window target for this submit.

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### setAction

    public void setAction(String action)

### setEnctype

    public void setEnctype(String enctype)

### setFocus

    public void setFocus(String focus)

### setFocusIndex

    public void setFocusIndex(String focusIndex)

### setOnreset

    public void setOnreset(String onreset)

### setOnsubmit

    public void setOnsubmit(String onsubmit)

### setTarget

    public void setTarget(String target)

### release

    public void release()

  Release any allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `AbstractFacesTag`

### getComponentType

    public String getComponentType()

  Return the type of component to be created for this tag.

  Specified by:
    `getComponentType` in class `AbstractFacesTag`

### getRendererType

    public String getRendererType()

  Return the `rendererType` to be used for rendering our component.

  Specified by:
    `getRendererType` in class `AbstractFacesTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Override attributes set on this tag instance.

  Overrides:
    `setProperties` in class `AbstractFacesTag`
  Parameters:
    `component` - Component whose attributes should be overridden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.